QXmpp: QXmppCallManager Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Slots | Signals | Public Member Functions | Friends | List of all members
QXmppCallManager Class Reference
Managers

The QXmppCallManager class provides support for making and receiving voice calls. More...

`#include <QXmppCallManager.h>`

Inheritance diagram for QXmppCallManager:

## Public Slots
QXmppCall * | call (const QString &jid)

## Signals
void | callReceived (QXmppCall *call)
void | callStarted (QXmppCall *call)
| This signal is emitted when a call (incoming or outgoing) is started.

## Public Member Functions
| QXmppCallManager ()
| ~QXmppCallManager ()
| Destroys the QXmppCallManager object.
void | setStunServer (const QHostAddress &host, quint16 port=3478)
void | setTurnServer (const QHostAddress &host, quint16 port=3478)
void | setTurnUser (const QString &user)
void | setTurnPassword (const QString &password)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList < QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Friends
class | QXmppCall
class | QXmppCallPrivate
class | QXmppCallManagerPrivate

## Additional Inherited Members
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)

## Detailed Description

The QXmppCallManager class provides support for making and receiving voice calls.

Session initiation is performed as described by XEP-0166: Jingle, XEP-0167: Jingle RTP Sessions and XEP-0176: Jingle ICE-UDP Transport Method.

The data stream is connected using Interactive Connectivity Establishment (RFC 5245) and data is transferred using Real Time Protocol (RFC 3550) packets.

To make use of this manager, you need to instantiate it and load it into the QXmppClient instance as follows:

QXmppCallManager *manager = new QXmppCallManager;
client->addExtension(manager);

## Constructor & Destructor Documentation

QXmppCallManager::QXmppCallManager | ( |  | ) |

Constructs a QXmppCallManager object to handle incoming and outgoing Voice-Over-IP calls.

## Member Function Documentation

QXmppCall * QXmppCallManager::call | ( | const QString & | jid | ) |
| slot

Initiates a new outgoing call to the specified recipient.

Parameters

  jid |

void QXmppCallManager::callReceived | ( | QXmppCall * | call | ) |
| signal

This signal is emitted when a new incoming call is received.

To accept the call, invoke the call's QXmppCall::accept() method. To refuse the call, invoke the call's QXmppCall::hangup() method.

void QXmppCallManager::setStunServer | ( | const QHostAddress & | host,
|  | quint16 | port = `3478`
| ) |  |

Sets the STUN server to use to determine server-reflexive addresses and ports.

Parameters

  host | The address of the STUN server.
  port | The port of the STUN server.

void QXmppCallManager::setTurnPassword | ( | const QString & | password | ) |

Sets the password used for authentication with the TURN server.

Parameters

  password |

void QXmppCallManager::setTurnServer | ( | const QHostAddress & | host,
|  | quint16 | port = `3478`
| ) |  |

Sets the TURN server to use to relay packets in double-NAT configurations.

Parameters

  host | The address of the TURN server.
  port | The port of the TURN server.

void QXmppCallManager::setTurnUser | ( | const QString & | user | ) |

Sets the user used for authentication with the TURN server.

Parameters

  user |

The documentation for this class was generated from the following files:

- QXmppCallManager.h
- QXmppCallManager.cpp